### Constructor

# ICalGLib Value new

since: 1.0

#### Declaration [src]

    ICalValue*
    i_cal_value_new (
      ICalValueKind kind
    )

#### Description [src]

Creates a new `ICalValue` with specific kind.

Available since: 1.0

#### Parameters

`kind`

  Type: `ICalValueKind`

  A `ICalValueKind`.

#### Return value

Type: `ICalValue`

The newly created `ICalValue`.

The caller of the function takes ownership of the data, and is responsible for freeing it.